#
# Conditional build:
%bcond_with	tests		# build with tests
%bcond_without	heif		# HEIF image plugin
%bcond_without	jxr		# JXR image plugin

%define		kdeframever	6.14
%define		kf_ver		6.11.0
%define		qt_ver		6.6.0
%define		kfname		kimageformats

Summary:	Image format plugins for Qt
Summary(pl.UTF-8):	Wtyczki formatów obrazów dla Qt
Name:		kf6-%{kfname}
Version:	6.14.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	00f8aeb62b6ca6c7011e56cf136aa668
URL:		https://kde.org/
BuildRequires:	Imath-devel
BuildRequires:	OpenEXR-devel >= 3.0
BuildRequires:	Qt6Core-devel >= %{qt_ver}
BuildRequires:	Qt6Gui-devel >= %{qt_ver}
BuildRequires:	Qt6PrintSupport-devel >= %{qt_ver}
%{?with_tests:BuildRequires:	Qt6Test-devel >= %{qt_ver}}
BuildRequires:	cmake >= 3.16
%{?with_jxr:BuildRequires:	jxrlib-devel}
BuildRequires:	kf6-extra-cmake-modules >= %{kf_ver}
BuildRequires:	kf6-karchive-devel >= %{kf_ver}
BuildRequires:	libavif-devel >= 0.8.2
%{?with_heif:BuildRequires:	libheif-devel >= 1.10.0}
BuildRequires:	libjpeg-devel
BuildRequires:	libjxl-devel >= 0.9.4
BuildRequires:	libraw-devel >= 0.20.2
BuildRequires:	ninja
BuildRequires:	openjpeg2-devel >= 2.0
BuildRequires:	pkgconfig
BuildRequires:	qt6-linguist >= %{qt_ver}
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	Qt6Core >= %{qt_ver}
Requires:	Qt6Gui >= %{qt_ver}
Requires:	Qt6PrintSupport >= %{qt_ver}
Requires:	kf6-dirs
Requires:	kf6-karchive >= %{kf_ver}
Requires:	libavif >= 0.8.2
%{?with_heif:Requires:	libheif >= 1.10.0}
Requires:	libjxl >= 0.9.4
Requires:	libraw >= 0.20.2
#Obsoletes:	kf5-kimageformats < 6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt6dir		%{_libdir}/qt6

%description
This framework provides additional image format plugins for QtGui. As
such it is not required for the compilation of any other software, but
may be a runtime requirement for Qt-based software to support certain
image formats.

The following image formats have read-only support:
- DirectDraw Surface (dds)
- Gimp (xcf)
- OpenEXR (exr)
- Photoshop documents (psd)
- Sun Raster (ras)

The following image formats have read and write support:
- Encapsulated PostScript (eps)
- JPEG-2000 (jp2)
- Personal Computer Exchange (pcx)
- SGI images (rgb, rgba, sgi, bw)
- Softimage PIC (pic)
- Targa (tga): supports more formats than Qt's version
- XView (xv)

%description -l pl.UTF-8
Ten szkielet zapewnia dodatkowe wtyczki formatów obrazów dla QtGui.
Jako takie niest jest wymagany do budowania innego oprogramowania, ale
może być zależnością wymaganą do obsługi pewnych formatów przez
programy oparte na Qt.

Następujące formaty obrazów mają obsługę wyłącznie odczytu:
- DirectDraw Surface (dds)
- Gimp (xcf)
- OpenEXR (exr)
- dokumenty Photoshopa (psd)
- Sun Raster (ras)

Następujące formaty obrazów mają obsługę odczytu i zapisu:
- Encapsulated PostScript (eps)
- JPEG-2000 (jp2)
- Personal Computer Exchange (pcx)
- obrazy SGI (rgb, rgba, sgi, bw)
- Softimage PIC (pic)
- Targa (tga): więcej formatów, niż jest obsługiwanych w wersji Qt
- XView (xv)

%prep
%setup -q -n %{kfname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	%{?with_heif:-DKIMAGEFORMATS_HEIF=ON} \
	%{?with_jxr:-DKIMAGEFORMATS_JXR=ON}

%ninja_build -C build

%if %{with tests}
%ninja_build -C build test
%endif

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{qt6dir}/plugins/imageformats/kimg_ani.so
%attr(755,root,root) %{qt6dir}/plugins/imageformats/kimg_avif.so
%attr(755,root,root) %{qt6dir}/plugins/imageformats/kimg_dds.so
%attr(755,root,root) %{qt6dir}/plugins/imageformats/kimg_eps.so
%attr(755,root,root) %{qt6dir}/plugins/imageformats/kimg_exr.so
%attr(755,root,root) %{qt6dir}/plugins/imageformats/kimg_hdr.so
%if %{with heif}
%attr(755,root,root) %{qt6dir}/plugins/imageformats/kimg_heif.so
%endif
%attr(755,root,root) %{qt6dir}/plugins/imageformats/kimg_jp2.so
%attr(755,root,root) %{qt6dir}/plugins/imageformats/kimg_jxl.so
%if %{with jxr}
%attr(755,root,root) %{qt6dir}/plugins/imageformats/kimg_jxr.so
%endif
%attr(755,root,root) %{qt6dir}/plugins/imageformats/kimg_kra.so
%attr(755,root,root) %{qt6dir}/plugins/imageformats/kimg_ora.so
%attr(755,root,root) %{qt6dir}/plugins/imageformats/kimg_pcx.so
%attr(755,root,root) %{qt6dir}/plugins/imageformats/kimg_pfm.so
%attr(755,root,root) %{qt6dir}/plugins/imageformats/kimg_pic.so
%attr(755,root,root) %{qt6dir}/plugins/imageformats/kimg_psd.so
%attr(755,root,root) %{qt6dir}/plugins/imageformats/kimg_pxr.so
%attr(755,root,root) %{qt6dir}/plugins/imageformats/kimg_qoi.so
%attr(755,root,root) %{qt6dir}/plugins/imageformats/kimg_ras.so
%attr(755,root,root) %{qt6dir}/plugins/imageformats/kimg_raw.so
%attr(755,root,root) %{qt6dir}/plugins/imageformats/kimg_rgb.so
%attr(755,root,root) %{qt6dir}/plugins/imageformats/kimg_sct.so
%attr(755,root,root) %{qt6dir}/plugins/imageformats/kimg_tga.so
%attr(755,root,root) %{qt6dir}/plugins/imageformats/kimg_xcf.so
%changelog
* Fri May 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf6-kimageformats.git;a=log;h=master

* Sat May 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> a720634
- updated to 6.14.0

* Sat Apr 12 2025 Witold Filipczyk <witekfl@poczta.onet.pl> b368b65
- updated to 6.13.0

* Sun Mar 16 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 7d8cf02
- updated to 6.12.0

* Sun Mar 09 2025 Jakub Bogusz <qboosh@pld-linux.org> c5d2155
- added jxr patch to fix build with 32-bit size_t; release 4

* Sun Mar 09 2025 Jakub Bogusz <qboosh@pld-linux.org> 72ef750
- added jxr plugin, release 3

* Sat Mar 08 2025 Jakub Bogusz <qboosh@pld-linux.org> 183d094
- release 2 (libavif 1.2.x)

* Sat Mar 08 2025 Jakub Bogusz <qboosh@pld-linux.org> 0399571
- updated dependencies, added heif plugin

* Sat Feb 15 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 45dddf6
- updated to 6.11.0

* Wed Jan 29 2025 Jan Rękorajski <baggins@pld-linux.org> 4c0924a
- Release 2 (by relup.sh)

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 5086cb9
- updated to 6.10.0

* Fri Dec 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 1dab1fd
- updated to 6.9.0

* Fri Nov 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 07195f7
- updated to 6.8.0

* Fri Oct 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> d78a3a2
- updated to 6.7.0

* Sat Sep 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> d7f2ead
- updated to 6.6.0

* Sun Aug 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c15d0de
- updated to 6.5.0

* Wed Aug 07 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> dcb9a9c
- relup

* Sat Jul 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 083e919
- updated to 6.4.0

* Sat Jun 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> b67d681
- updated to 6.3.0

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 0439c72
- Obsoletes kf5

* Sat May 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 505bea0
- updated to 6.2.0

